<form name="form" novalidate>

    <div id="top_of_dialog">
        <strong>Inserire una nuova descrizione per l'item aggregato</strong>
    </div>


    <div style="margin-top: 15px">
			<table
				class="table table-bordered blockContainer showInlineTable equalSplit">
				<thead>
					<tr>
						<th class="blockHeader" colspan="6">
							Descrizione
						</th>
					</tr>
				</thead>
				<tbody ng-hide="ctrl.hideForm">
					<tr>
						<td class="fieldLabel medium" >
							<label class="muted pull-right marginRight10px"> <span class="redColor" ng-show="form.process.$invalid">*</span>CODICE - DESCRIZIONE</label>
						</td>
						<td class="fieldValue medium">
							<div class="row-fluid">
								<span class="span10">
								<div class="input-large">
							 <div ng-dropdown-multiselect="" style="width:320px" options="codeSelectionList" selected-model="selectedCodeModel" extra-settings="multiselectSettings"></div>
								</div>
								</span>
							</div>
						</td>

					
                    </tr>
				</tbody>
			</table>
    </div>


    <div style="margin-top: 15px">
        <h3>Lista item componenti</h3>
        <!-- table -->
		<div class="listViewContentDiv" id="listViewContents">

			<div class="contents-topscroll noprint">
				<div class="topscroll-div" style="width: 95%">&nbsp;</div>
			</div>

			<div class="listViewEntriesDiv contents-bottomscroll">
				<div class="bottomscroll-div" style="width: 95%; min-height: 80px">

					<table class="table table-bordered listViewEntriesTable">
						<thead>
							<tr class="listViewHeaders">
								<th nowrap><a href="" class="listViewHeaderValues">DSP</a></th>
								<th nowrap><a href="" class="listViewHeaderValues">Periodo</a></th>
								<th nowrap><a href="" class="listViewHeaderValues">Territorio</a></th>
								<th nowrap><a href="" class="listViewHeaderValues">Tipo
										di utilizzo</a></th>
								<th nowrap><a href="" class="listViewHeaderValues">Offerta
										commerciale</a></th>
									<th nowrap class="medium" style="text-align: right;"><a
									href="" class="listViewHeaderValues">Valore (&euro;)</a></th>
								
								<th style="text-align: right;"><a href=""
									class="listViewHeaderValues"> Valore fatturabile (&euro;)</a></th>
									
								<th style="text-align: right;"><a href=""
									class="listViewHeaderValues"> Valore fatturabile residuo (&euro;)</a></th>
								<th nowrap></th>
							</tr>
						</thead>
						<tbody>

							<tr class="listViewEntries"
								ng-repeat="item in ctrl.itemsToCollapse">
								<td class="listViewEntryValue medium" nowrap>{{item.dspName}}</td>
								<td class="listViewEntryValue medium" nowrap>{{item.periodString}}</td>
								<td class="listViewEntryValue medium" nowrap>{{item.country}}</td>
								<td class="listViewEntryValue medium" nowrap>{{item.utilizationType}}</td>
								<td class="listViewEntryValue medium" nowrap>{{item.commercialOffer}}</td>
								<td class="listViewEntryValue " style="text-align: right;">{{formatNumber(item.totalValue)}}</td>
								<td class="listViewEntryValue " style="text-align: right;">{{formatNumber(item.invoiceAmount)}}</td>
								<td class="listViewEntryValue " style="text-align: right;">{{formatNumber(item.valoreResiduo)}}</td>
								<td nowrap class="medium"></td>

							</tr>
						</tbody>
					</table>

				</div>
			</div>
		</div>
		<!-- /table -->
    </div>

    <div style="margin-top: 15px">
        <table width="100%">
            <tr>
                <td>
                    <button type="button" class="btn addButton" ng-click="cancel()">
                        <span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
                    </button>
                </td>
                <td align="right">
                    <button type="button" class="btn addButton"   ng-disabled="checkValidity()" ng-click="addDescription()">
                        <span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;<strong>Ok</strong>
                    </button>
                </td>
            </tr>
        </table>
    </div>

</form>

<script type="text/ng-template" id="errorDialogId">
    <div id="target"  >
        <strong>{{ngDialogData}}</strong>
    </div>
</script>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>